package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaBonusProjectRel;
import com.ruoyi.oa.domain.vo.OaBonusProjectRelVo;
import com.ruoyi.oa.domain.bo.OaBonusProjectRelBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 奖金池与项目关联Service接口
 *
 * @author ruoyi
 * @date 2025-10-23
 */
public interface IOaBonusProjectRelService {

    /**
     * 查询奖金池与项目关联
     */
    OaBonusProjectRelVo queryById(Long relId);

    /**
     * 查询奖金池与项目关联列表
     */
    TableDataInfo<OaBonusProjectRelVo> queryPageList(OaBonusProjectRelBo bo, PageQuery pageQuery);

    /**
     * 查询奖金池与项目关联列表
     */
    List<OaBonusProjectRelVo> queryList(OaBonusProjectRelBo bo);

    /**
     * 新增奖金池与项目关联
     */
    Boolean insertByBo(OaBonusProjectRelBo bo);

    /**
     * 修改奖金池与项目关联
     */
    Boolean updateByBo(OaBonusProjectRelBo bo);

    /**
     * 校验并批量删除奖金池与项目关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
